Move Elasticsearch resource instances

Auth

Moves one or more instances belonging to the given Elasticsearch resource to a different allocator.

Path parameters

deployment_id string required

Identifier for the Deployment.

ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one).

instance_ids string[] required

A comma-separated list of instance identifiers.

Query parameters

ignore_missing boolean · default: false

When true and the instance does not exist, proceeds to the next instance, or treats the instance as an error.

force_update boolean · default: false

When true, cancels and overwrites the pending plans, or treats the instance as an error.

instances_down boolean · default: false

When true, the instances specified by instance_ids are considered permanently shut down for data migration logic.

move_only boolean · default: true

When true, moves the specified instances and ignores the changes for the cluster state.

force_move boolean · default: false

When true, moves instance data at file-system level (not via Elasticsearch), and re-creates instances on target allocator(s).

validate_only boolean · default: false

When true, validates the move request, then returns the calculated plan without applying the plan.

Request body

Overrides the default move configuration

cluster_settings_json object

If specified, contains transient settings to be applied to an Elasticsearch cluster during changes,default values shown below applied. These can be overridden by specifying them in the map (or null to unset). Additional settings can also be set. Settings will be cleared after the plan has finished. If not specified, no settings will be applied. NOTE: These settings are only explicitly cleared for 5.x+ clusters, they must be hand-reset to their defaults in 2.x- (or a cluster reboot will clear them).

  • indices.store.throttle.max_bytes_per_sec: 120Mb
  • indices.recovery.max_bytes_per_sec: 120Mb
  • cluster.routing.allocation.cluster_concurrent_rebalance: 5
  • cluster.routing.allocation.node_initial_primaries_recoveries: 5
  • cluster.routing.allocation.node_concurrent_incoming_recoveries: 5 For version 8.1 and later no defaults are provided through this mechanism, but instead hardware dependent settings are provided to each instance.

Responses

If validate_only is true, the calculated plan is returned

application/json
plan_configuration object

The configuration settings for the timeout and fallback parameters.

Same fields as plan_configuration
remote_clusters object

The list of resources used as remote clusters

Same fields as remote_clusters
cluster_settings_json object

If specified, contains transient settings to be applied to an Elasticsearch cluster during changes,default values shown below applied. These can be overridden by specifying them in the map (or null to unset). Additional settings can also be set. Settings will be cleared after the plan has finished. If not specified, no settings will be applied. NOTE: These settings are only explicitly cleared for 5.x+ clusters, they must be hand-reset to their defaults in 2.x- (or a cluster reboot will clear them).

  • indices.store.throttle.max_bytes_per_sec: 120Mb
  • indices.recovery.max_bytes_per_sec: 120Mb
  • cluster.routing.allocation.cluster_concurrent_rebalance: 5
  • cluster.routing.allocation.node_initial_primaries_recoveries: 5
  • cluster.routing.allocation.node_concurrent_incoming_recoveries: 5 For version 8.1 and later no defaults are provided through this mechanism, but instead hardware dependent settings are provided to each instance.